Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.buffer
Class BufferIORequest

    java.lang.Object
      org.gjt.sp.util.WorkRequest
          org.gjt.sp.jedit.buffer.BufferIORequest

All Implemented Interfaces:
  java.lang.Runnable

public class BufferIORequest
extends WorkRequest

A buffer I/O request.

Version:
  $Id: BufferIORequest.java,v 1.28 2004/08/29 02:58:43 spestov Exp $
Author:
  Slava Pestov

Field Summary
`static int` | `AUTOSAVE` An autosave request.
`static java.lang.String` | `END_OFFSETS`
`static java.lang.String` | `ERROR_OCCURRED` Buffer boolean property set when an error occurs.
`static int` | `GZIP_MAGIC_1` Magic numbers used for auto-detecting Unicode and GZIP files.
`static int` | `GZIP_MAGIC_2`
`static int` | `INSERT` An insert file request.
`static int` | `IOBUFSIZE` Size of I/O buffers.
`static int` | `LOAD` A file load request.
`static java.lang.String` | `LOAD_DATA`
`static java.lang.String` | `NEW_PATH`
`static int` | `PROGRESS_INTERVAL` Number of lines per progress increment.
`static int` | `SAVE` A file save request.
`static int` | `UNICODE_MAGIC_1`
`static int` | `UNICODE_MAGIC_2`
`static int` | `UTF8_MAGIC_1`
`static int` | `UTF8_MAGIC_2`
`static int` | `UTF8_MAGIC_3`
`static int` | `XML_PI_LENGTH` Length of longest XML PI used for encoding detection.

Constructor Summary
`BufferIORequest(int type, View view, Buffer buffer, java.lang.Object session, VFS vfs, java.lang.String path)` Creates a new buffer I/O request.

Method Summary
`void` | `run()`
`java.lang.String` | `toString()`

Methods inherited from class org.gjt.sp.util.WorkRequest
`setAbortable, setProgressMaximum, setProgressValue, setStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IOBUFSIZE

    public static final int IOBUFSIZE

  Size of I/O buffers.

  See Also:
    Constant Field Values

### PROGRESS_INTERVAL

    public static final int PROGRESS_INTERVAL

  Number of lines per progress increment.

  See Also:
    Constant Field Values

### LOAD_DATA

    public static final java.lang.String LOAD_DATA

See Also:
  Constant Field Values

### END_OFFSETS

    public static final java.lang.String END_OFFSETS

See Also:
  Constant Field Values

### NEW_PATH

    public static final java.lang.String NEW_PATH

See Also:
  Constant Field Values

### ERROR_OCCURRED

    public static final java.lang.String ERROR_OCCURRED

  Buffer boolean property set when an error occurs.

  See Also:
    Constant Field Values

### LOAD

    public static final int LOAD

  A file load request.

  See Also:
    Constant Field Values

### SAVE

    public static final int SAVE

  A file save request.

  See Also:
    Constant Field Values

### AUTOSAVE

    public static final int AUTOSAVE

  An autosave request. Only supported for local files.

  See Also:
    Constant Field Values

### INSERT

    public static final int INSERT

  An insert file request.

  See Also:
    Constant Field Values

### GZIP_MAGIC_1

    public static final int GZIP_MAGIC_1

  Magic numbers used for auto-detecting Unicode and GZIP files.

  See Also:
    Constant Field Values

### GZIP_MAGIC_2

    public static final int GZIP_MAGIC_2

See Also:
  Constant Field Values

### UNICODE_MAGIC_1

    public static final int UNICODE_MAGIC_1

See Also:
  Constant Field Values

### UNICODE_MAGIC_2

    public static final int UNICODE_MAGIC_2

See Also:
  Constant Field Values

### UTF8_MAGIC_1

    public static final int UTF8_MAGIC_1

See Also:
  Constant Field Values

### UTF8_MAGIC_2

    public static final int UTF8_MAGIC_2

See Also:
  Constant Field Values

### UTF8_MAGIC_3

    public static final int UTF8_MAGIC_3

See Also:
  Constant Field Values

### XML_PI_LENGTH

    public static final int XML_PI_LENGTH

  Length of longest XML PI used for encoding detection.

  <?xml version="1.0" encoding="................"?>

  See Also:
    Constant Field Values

Constructor Detail

### BufferIORequest

    public BufferIORequest(int type,
                           View view,
                           Buffer buffer,
                           java.lang.Object session,
                           VFS vfs,
                           java.lang.String path)

  Creates a new buffer I/O request.

Parameters:
  `type` - The request type
  `view` - The view
  `buffer` - The buffer
  `session` - The VFS session
  `vfs` - The VFS
  `path` - The path

Method Detail

### run

    public void run()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD